#--
# This code is automatically generated, do not modify the content !!!
#++
class Ues::Platform::Security::Appsecret::UESAppSecretProvider #:nodoc:
  private_class_method :new


# Stores new or updates existing application secret for given application and security realm.
# 
# <tt><b>param</b></tt> appCode Code of application for which to store application secret
# 
# <tt><b>param</b></tt> securityRealm Security realm for which to store application secret
# 
# <tt><b>param</b></tt> appSecret Application secret
# 
# <tt><b>throws</b></tt> UESAppSecretProviderRTException In case application secret cannot be stored
# 
# <tt><b>since</b></tt> UES8-05
  def self.storeAppSecret(appCode, securityRealm, appSecret)
    if ((!appCode.java_kind_of?Java::java.lang.Object) && (appCode.class.method_defined?"to_java")) then appCode = appCode.to_java end
    if ((!securityRealm.java_kind_of?Java::java.lang.Object) && (securityRealm.class.method_defined?"to_java")) then securityRealm = securityRealm.to_java end
    if ((!appSecret.java_kind_of?Java::java.lang.Object) && (appSecret.class.method_defined?"to_java")) then appSecret = appSecret.to_java end
    _s = Java::cz.ues.platform.container.UESComponentFactory.getComponent(Java::cz.ues.platform.security.appsecret.UESAppSecretProvider.java_class)
    _r = _s.storeAppSecret(appCode, securityRealm, appSecret)
    
    return _r
  end
  class << Ues::Platform::Security::Appsecret::UESAppSecretProvider
    alias store_app_secret storeAppSecret
  end

# Returns application secret for given application and security realm.
# 
# <tt><b>param</b></tt> appCode Code of application for which to get application secret
# 
# <tt><b>param</b></tt> securityRealm Security realm for which to get application secret
# 
# <tt><b>return</b></tt> Application secret or null if there is no secret for given application and security realm
# 
# <tt><b>throws</b></tt> UESAppSecretProviderRTException In case application secret cannot be read
# 
# <tt><b>since</b></tt> UES8-05
  def self.getAppSecret(appCode, securityRealm = nil)
    if ((!appCode.java_kind_of?Java::java.lang.Object) && (appCode.class.method_defined?"to_java")) then appCode = appCode.to_java end
    if ((!securityRealm.java_kind_of?Java::java.lang.Object) && (securityRealm.class.method_defined?"to_java")) then securityRealm = securityRealm.to_java end
    _s = Java::cz.ues.platform.container.UESComponentFactory.getComponent(Java::cz.ues.platform.security.appsecret.UESAppSecretProvider.java_class)
    _r = _s.getAppSecret(appCode, securityRealm)
    
    return _r
  end
  class << Ues::Platform::Security::Appsecret::UESAppSecretProvider
    alias app_secret getAppSecret
  end

# Deletes application secret of given application from security realm.
# 
# <tt><b>param</b></tt> appCode Code of application which application secret should be deleted
# 
# <tt><b>param</b></tt> securityRealm Security realm from which to delete application secret
# 
# <tt><b>throws</b></tt> UESAppSecretProviderRTException In case application secret cannot be deleted
# 
# <tt><b>since</b></tt> UES8-05
  def self.deleteAppSecret(appCode, securityRealm = nil)
    if ((!appCode.java_kind_of?Java::java.lang.Object) && (appCode.class.method_defined?"to_java")) then appCode = appCode.to_java end
    if ((!securityRealm.java_kind_of?Java::java.lang.Object) && (securityRealm.class.method_defined?"to_java")) then securityRealm = securityRealm.to_java end
    _s = Java::cz.ues.platform.container.UESComponentFactory.getComponent(Java::cz.ues.platform.security.appsecret.UESAppSecretProvider.java_class)
    _r = _s.deleteAppSecret(appCode, securityRealm)
    
    return _r
  end
  class << Ues::Platform::Security::Appsecret::UESAppSecretProvider
    alias delete_app_secret deleteAppSecret
  end
end
